Commit a4614cdc authored by Ms Kimsible's avatar Ms Kimsible
Browse files

Chore: migration webpack v4 to v5

parent 45ab8450
This diff is collapsed.
......@@ -18,9 +18,8 @@
"simple-get": "^3.1.0"
},
"devDependencies": {
"@purtuga/esm-webpack-plugin": "^1.5.0",
"webpack": "^4.46.0",
"webpack-cli": "^3.3.12"
"webpack": "^5.51.1",
"webpack-cli": "^4.8.0"
},
"engine": {
"peertube": ">=2.1.0"
......
const path = require("path")
const EsmWebpackPlugin = require("@purtuga/esm-webpack-plugin")
let config = {
entry: "./client/signup-client-plugin.js",
output: {
path: path.resolve(__dirname, "./dist"),
filename: "./signup-client-plugin.js",
library: "script",
libraryTarget: "var"
library: {
type: "module"
}
},
plugins: [new EsmWebpackPlugin()]
experiments: {
outputModule: true
}
}
module.exports = config
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment